Subject: Category-tree needs to load in parts (AJAX?)
Description

We have a wide category-tree with around 6 levels of hierarchy and summing up to around 40.000 entries at the moment. This leads
to performance-problems with various brokers (loading stalls until browser-timeout, ...). This could be solved if for example only the
next level would be loaded at one time but not all subtrees at once. If you then open a collapsed branch that would load more data via
AJAX.

Related issues:
related to Core - Feature # 52876: Replace ExtJS Tree with jquery tree to get... New 2013-10-16
related to Core - Task # 57193: Speed up category-tree initialisation New 2014-03-22

History
#1 - 2014-03-16 22:57 - Stefan Neufeind

Can the current tree (ExtJS afaik) load data via AJAX when you expand the tree? Is that functionality maybe in use already in other parts of TYPO3,
for a similar solution?

#2 - 2014-03-16 23:18 - Stefan Neufeind
- Subject changed from Category needs to load in parts (AJAX?) to Category-tree needs to load in parts (AJAX?)

#3 - 2014-03-17 05:43 - Georg Ringer

the current implementation can't handle ajax requests.

it is also slow because all records are fetched twice. first because of the implemtantion as a normal list for select boxes and then the renderMode tree
kicks in and loads everything again using parentId/childId queries to get the tree.

#4 - 2014-03-22 21:08 - Stefan Neufeind

Filed the speed-issue for initialisation you mentioned into a separate issue, since that might be easier to solve imho. #57193
